Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PortalDefinition

    java.lang.Object
      com.bea.netuix.application.definition.PortalDefinition

All Implemented Interfaces:
  CategoryDefinition, Serializable

public class PortalDefinition
extends Object
implements CategoryDefinition

A `PortalDefinition` is an aggregator of `DesktopDefinition`s.

See Also:
  `DesktopDefinition`, Serialized Form

Constructor Summary
`PortalDefinition(String webAppName, PortalPath portalPath, LocalizationResource lr, String contentUri)` Constructor to create a new `PortalDefinition` object.

Method Summary
`static PortalDefinition` | `clone(LocalizationResource localizationResource, PortalDefinition portalDefinition)` Clones the given `PortalDefinition`.
`boolean` | `equals(Object o)`
`String` | `getContentUri()` Returns the contentUri for this PortalDefinition
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `CategoryDefinition`.
`PortalPath` | `getPortalPath()` Returns the `PortalPath` for this portal.
`String` | `getWebAppName()` Returns the name of the J2EE web application this portal is scoped to.
`int` | `hashCode()`
`static String` | `hasRequiredFields(PortalDefinition portalDefinition)` Checks that the given `PortalDefinition` has fields that are required of a `PortalDefinition`.
`boolean` | `isRoot()` Determines if the category is a root category.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets `LocalizationResource` for this `CategoryDefinition`.
`String` | `toString()`
`static PortalDefinition` | `update(PortalDefinition existingDefinition, PortalDefinition newDefinition)` Updates an existing portal with a new `PortalDefinition`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalDefinition

    public PortalDefinition(String webAppName,
                            PortalPath portalPath,
                            LocalizationResource lr,
                            String contentUri)

  Constructor to create a new `PortalDefinition` object.

See Also:
  `PortalPath`

Method Detail

### clone

    public static PortalDefinition clone(LocalizationResource localizationResource,
                                         PortalDefinition portalDefinition)

  Clones the given `PortalDefinition`.

  Parameters:
    `localizationResource` - localized title and description
    `portalDefinition` - portal to be cloned
  Returns:
    cloned `PortalDefinition`

### equals

    public boolean equals(Object o)

### getContentUri

    public String getContentUri()

  Returns the contentUri for this PortalDefinition

  Returns:
    contentUri

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `CategoryDefinition`.

  Specified by:
    `getLocalizationResource` in interface `CategoryDefinition`
  Returns:
    LocalizationResource

### getPortalPath

    public PortalPath getPortalPath()

  Returns the `PortalPath` for this portal.

  Returns:
    `PortalPath`

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this portal is scoped to.

  Returns:
    name of web application

### hashCode

    public int hashCode()

### hasRequiredFields

    public static String hasRequiredFields(PortalDefinition portalDefinition)

  Checks that the given `PortalDefinition` has fields that are required of a `PortalDefinition`. Returns an error string if any of the required fields is missing `NULL` if everything is correct.

  Parameters:
    `portalDefinition` -
  Returns:
    error string if any fields are missing, `NULL` otherwise

### isRoot

    public boolean isRoot()

  Determines if the category is a root category.

  Specified by:
    `isRoot` in interface `CategoryDefinition`
  Returns:
    `true` if this category is the root

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets `LocalizationResource` for this `CategoryDefinition`.

  Specified by:
    `setLocalizationResource` in interface `CategoryDefinition`
  Parameters:
    `localizationResource` -

### toString

    public String toString()

### update

    public static PortalDefinition update(PortalDefinition existingDefinition,
                                          PortalDefinition newDefinition)

  Updates an existing portal with a new `PortalDefinition`.

  Parameters:
    `existingDefinition` - existing `PortalDefinition`
    `newDefinition` - new `PortalDefinition`
  Returns:
    updated `PortalDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved